/* GIO - GLib Input, Output and Streaming Library
 * 
 * Copyright (C) 2006-2007 Red Hat, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author: Alexander Larsson <alexl@redhat.com>
 */

#ifndef __G_APP_LOOKUP_GCONF_H__
#define __G_APP_LOOKUP_GCONF_H__

#include <glib-object.h>
#include <gio/gio.h>
#include <gio/gdesktopappinfo.h>


G_BEGIN_DECLS

#define G_TYPE_APP_LOOKUP_GCONF        (g_app_lookup_gconf_get_type ())
#define G_APP_LOOKUP_GCONF(o)          (G_TYPE_CHECK_INSTANCE_CAST ((o), G_TYPE_APP_LOOKUP_GCONF, GAppLookupGConf))
#define G_APP_LOOKUP_GCONF_CLASS(k)    (G_TYPE_CHECK_CLASS_CAST((k), G_TYPE_APP_LOOKUP_GCONF, GAppLookupGConfClass))
#define G_IS_APP_LOOKUP_GCONF(o)       (G_TYPE_CHECK_INSTANCE_TYPE ((o), G_TYPE_APP_LOOKUP_GCONF))
#define G_IS_APP_LOOKUP_GCONF_CLASS(k) (G_TYPE_CHECK_CLASS_TYPE ((k), G_TYPE_APP_LOOKUP_GCONF))

typedef struct _GAppLookupGConf GAppLookupGConf;
typedef struct _GAppLookupGConfClass GAppLookupGConfClass;

struct _GAppLookupGConfClass {
  GObjectClass parent_class;
};

GType g_app_lookup_gconf_get_type (void) G_GNUC_CONST;
void  g_app_lookup_gconf_register (GIOModule         *module);

G_END_DECLS

#endif /* __G_APP_LOOKUP_GCONF_H__ */
